Bug 326181 - reproduceable firefox crash
reproduceable firefox crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 08:19 EDT by Dave Mitchell
Modified: 2008-01-15 09:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Mitchell 2007-10-10 08:19:15 EDT
Description of problem:

a specific URL causes firefox to exit


Version-Release number of selected component (if applicable):

firefox-1.5.0.12-4.fc6

How reproducible:


Steps to Reproduce:
1. start firefox
2. enter URL: http://pandasthumb.org/archives/2007/10/konstantin-b-ze.html
3. a split second after the page is rendered, firefox exits
  
Actual results:

Expected results:


Additional info:

Downloading the page with wget then viewing it locally doesn't cause the crash
Comment 1 Matěj Cepl 2007-12-05 10:05:42 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo; in order to do this you have to enable
-debuginfo repository.

	yum install --enablerepo=*debuginfo firefox-debuginfo

(if you use x86_64 firefox, install firefox-debuginfo.x86_64  package).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dave Mitchell 2007-12-06 18:36:02 EST
I've installed firefox-debuginfo-1.5.0.7-7.fc6, but can't seem to invoke it.
'/usr/bin/firefox -g' just starts the standard firefox, while

[davem@pigeon ~]$ cd /usr/lib/debug/usr/lib/firefox-1.5.0.7
[davem@pigeon firefox-1.5.0.7]$ ldd firefox-bin.debug 
ldd: exited with unknown exit code (139)
[that's because /lib/ld-linux.so.2 --verify as forked by ldd is segfaulting]
[davem@pigeon firefox-1.5.0.7]$ ./firefox-bin.debug -g
bash: ./firefox-bin.debug: cannot execute binary file
[davem@pigeon firefox-1.5.0.7]$ ls -l firefox-bin.debug 
-rwxr-xr-x 1 root root 632492 Oct 11  2006 firefox-bin.debug
[davem@pigeon firefox-1.5.0.7]$ file firefox-bin.debug 
firefox-bin.debug: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV),
dynamically linked (uses shared libs), not stripped
Comment 3 Matěj Cepl 2007-12-10 04:22:05 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-15 09:39:02 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.